#!/bin/bash

conf_file="$HOME/birthdays"
days_left=30

readarray lines < "$conf_file"

for i in "${lines[@]}"; do
    days=$(( $(date -d "$( cut -f 1 <<< "$i" )" +%j 2>/dev/null | sed 's/^0*//') - $(date +%j 2>/dev/null | sed 's/^0*//') ))
    if  [ 0 -le "$days" ] && [ "$days" -le "$days_left" ];then
	if [ "$days" -le $((days_left / 2)) ] && [ ! "$days" -le 7 ];then
	    echo -e "\033[33m$( cut -f 2- <<< "$i" ) in $days days\033[m"
	elif [ "$days" -le 7 ];then
	    echo -e "\033[31m$( cut -f 2- <<< "$i" ) in $days days\033[m"
	else
	    echo -e "\033[32m$( cut -f 2- <<< "$i" ) in $days days\033[m"
	fi
    fi
done
